<%@page import="com.rms.tfc.service.RecibirPedidoBean"%>
<%@page import="com.rms.tfc.service.LineaBean"%>
<%@page import="com.rms.tfc.entity.Pedido"%>
<%@page import="java.util.Iterator"%>
<%@page import="java.util.List"%>
<%@page import="java.util.Map"%>
<%@page import="com.rms.tfc.util.DateUtil"%>
<%@page import="com.rms.tfc.util.SessionUtil"%>
<%
	RecibirPedidoBean recibirPedidoBean = (RecibirPedidoBean) request.getAttribute("objetoJSP");
	Pedido pedido = recibirPedidoBean.getPedido();
	List<LineaBean> listaLineas =  recibirPedidoBean.getListaLineas();
	Map<Long,String> mapProductos = recibirPedidoBean.getMapProductos();
%>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>Gesti&oacute;n de tienda</title>
<style type="text/css">
<!--
body {
	margin-left: 0px;
	margin-top: 0px;
	margin-right: 0px;
	margin-bottom: 0px;
}
-->
</style>
<script type="text/javascript">
<!--
function MM_swapImgRestore() { //v3.0
  var i,x,a=document.MM_sr; for(i=0;a&&i<a.length&&(x=a[i])&&x.oSrc;i++) x.src=x.oSrc;
}
function MM_preloadImages() { //v3.0
  var d=document; if(d.images){ if(!d.MM_p) d.MM_p=new Array();
    var i,j=d.MM_p.length,a=MM_preloadImages.arguments; for(i=0; i<a.length; i++)
    if (a[i].indexOf("#")!=0){ d.MM_p[j]=new Image; d.MM_p[j++].src=a[i];}}
}

function MM_findObj(n, d) { //v4.01
  var p,i,x;  if(!d) d=document; if((p=n.indexOf("?"))>0&&parent.frames.length) {
    d=parent.frames[n.substring(p+1)].document; n=n.substring(0,p);}
  if(!(x=d[n])&&d.all) x=d.all[n]; for (i=0;!x&&i<d.forms.length;i++) x=d.forms[i][n];
  for(i=0;!x&&d.layers&&i<d.layers.length;i++) x=MM_findObj(n,d.layers[i].document);
  if(!x && d.getElementById) x=d.getElementById(n); return x;
}

function MM_swapImage() { //v3.0
  var i,j=0,x,a=MM_swapImage.arguments; document.MM_sr=new Array; for(i=0;i<(a.length-2);i+=3)
   if ((x=MM_findObj(a[i]))!=null){document.MM_sr[j++]=x; if(!x.oSrc) x.oSrc=x.src; x.src=a[i+2];}
}
//-->
</script>
<link href="../css/tienda.css" rel="stylesheet" type="text/css">
<script type="text/javascript" src="../js/jquery-1.10.2.js"></script>
<script type="text/javascript">
var submitDone = false;

var numLineas = 0;

function recibirPedido(){
	if (!submitDone){
		var formulario = document.getElementById("savePedido");
		if (validar(formulario)){
			submitDone = true;
			formulario.submit();
		}
	}
}

function validar(formulario){
	var numLineas = formulario.numLineas.value;
	var campoPedida = null;
	var campoRecibida = null;
	var campoDevuelta = null;
	var pedida = null;
	var recibida = null;
	var devuelta = null;
	var suma = 0;
	for (var i = 1; i <= numLineas; i++){
		campoPedida = document.getElementById("pedida_" + i);
		pedida = trim(campoPedida.value);
		campoPedida.value = pedida;
		campoRecibida = document.getElementById("recibida_" + i);
		recibida = trim(campoRecibida.value);
		campoRecibida.value = recibida;
		campoDevuelta = document.getElementById("devuelta_" + i);
		devuelta = trim(campoDevuelta.value);
		campoDevuelta.value = devuelta;
		if (recibida == '' || !/^([0-9])*$/.test(recibida)){
			alert("La cantidad recibida debe ser un número entero");
			return false;
		}
		if (devuelta == '' || !/^([0-9])*$/.test(devuelta)){
			alert("La cantidad devuelta debe ser un número entero");
			return false;
		}
		suma = Number(recibida) + Number(devuelta);
		if (pedida != suma){
			alert("Las cantidades recibida y devuelta deben ser igual a la cantidad pedida");
			return false;
		}
	}
	return true;
}

function trim(cadena){
	for(var i=0; i<cadena.length; ){
		if(cadena.charAt(i)==" "){
			cadena=cadena.substring(i+1, cadena.length);
		} else {
			break;
		}
	}
	for(var i=cadena.length-1; i>=0; i=cadena.length-1){
		if(cadena.charAt(i)==" "){
			cadena=cadena.substring(0,i);
		} else {
			break;
		}
	}
	return cadena;
}
</script>
</head>
<body>
<table width="945" border="0" align="center" cellpadding="0" cellspacing="0">
  <tr>
    <td bgcolor="#272e96" width="945" height="75" align="center"><span style="color: #FFFFFF; font-weight:bold; font-size: 35px;">Aplicaci&oacute;n de gesti&oacute;n de tienda</span></td>
  </tr>
  <tr>
    <td><%@ include file="cabecera.jsp" %>
		<table width="912" border="0" align="center" cellpadding="0" cellspacing="0">
		  <tr>
		    <td class="texto">Usuario: <strong><%=SessionUtil.getUserSession()%></strong></td>
		    <td class="volver">&nbsp;</td>
		  </tr>
		  <tr>
		    <td class="texto"><a href="admin.html">Administraci&oacute;n</a> &gt; <strong>Recibir pedido</strong></td>
            <td class="volver"><div align="right" class="volver"></div></td>
		  </tr>
		  <tr>
		    <td colspan="2" class="texto"><img src="../img/sp.gif" width="2" height="5"></td>
		  </tr>
		  <tr>
		    <td colspan="2" class="texto"><img src="../img/sp-gris.gif" width="912" height="1"></td>
		  </tr>
		</table>
	</td>
  </tr>
  <tr>
    <td height="20">&nbsp;</td>
  </tr>
  <tr>
    <td>
    <form action="SaveRecPedido.html" method="post" name="savePedido" id="savePedido">
    <table width="600" border="0" align="center" cellpadding="2" cellspacing="0">
      <tr>
      	<td bgcolor="#E1E1E1" class="titulos" align="center">Recibir pedido</td>
      </tr>
      <tr>
      	<td class="texto"><b>Descripci&oacute;n: </b><%=pedido.getDescripcion() %></td>
      </tr>
      <tr>
      	<td class="texto"><b>Fecha: </b><%=DateUtil.getStringFromDate(pedido.getFechaPedido(), "dd/MM/yyyy") %></td>
      </tr>
      <tr>
      	<td bgcolor="#E1E1E1" class="titulos" align="center">L&iacute;neas</td>
      </tr>
      <tr>
      	<td align="center">
      		<table width="100%" border="0" align="center" cellpadding="2" cellspacing="0">
				<tr>
					<td bgcolor="#E1E1E1" class="titulos" align="center">N&uacute;mero l&iacute;nea</td>
					<td bgcolor="#E1E1E1" class="titulos" align="center">Producto</td>
					<td bgcolor="#E1E1E1" class="titulos" align="center">Cantidad pedida</td>
					<td bgcolor="#E1E1E1" class="titulos" align="center">Cantidad recibida</td>
					<td bgcolor="#E1E1E1" class="titulos" align="center">Cantidad devuelta</td>
				</tr>
				<% 
					Iterator<LineaBean> itLineas = listaLineas.iterator();
					LineaBean lineaBean = null;
					int i = 0;
					while (itLineas.hasNext()){
						lineaBean = itLineas.next();
						i++;
				%>
				<tr>
					<td class="texto" align="center"><%=lineaBean.getIdLinea() %></td>
					<td class="texto" align="center"><%=mapProductos.get(lineaBean.getIdProducto()) %></td>
					<td class="texto" align="center"><%=lineaBean.getCantidadPedida() %></td>
					<td class="texto" align="center">
						<input type="hidden" name="idLinea_<%=i %>" id="idLinea_<%=i %>" value="<%=lineaBean.getIdLinea() %>"/>
						<input type="hidden" name="pedida_<%=i %>" id="pedida_<%=i %>" value="<%=lineaBean.getCantidadPedida() %>"/>
						<input type="text" class="texto" name="recibida_<%=i %>" id="recibida_<%=i %>" value="<%=lineaBean.getCantidadRecibida() %>"/>
					</td>
					<td class="texto" align="center">
						<input type="text" class="texto" name="devuelta_<%=i %>" id="devuelta_<%=i %>" value="<%=lineaBean.getCantidadDevuelta() %>"/>
					</td>
				</tr>
				<%		
					}
				%>
      		</table>
      	</td>
      </tr>
      <tr>
      	<td colspan="2" align="right">
			<input type="hidden" name="idPedido" id="idPedido" value="<%=pedido.getIdPedido() %>"/>
			<input type="hidden" name="numLineas" id="numLineas" value="<%=i %>"/>
			<a href="javascript:recibirPedido();" onMouseOut="MM_swapImgRestore()" onMouseOver="MM_swapImage('Guardar','','../img/guardar2.gif',1)"><img src="../img/guardar.gif" alt="Guardar" name="Guardar" width="172" height="35" border="0"></a>
		</td>
      </tr>
    </table>
	</form>
	</td>
  </tr>  
  <tr>
  	<td>
		<table width="934" border="0" align="center" cellpadding="0" cellspacing="0">
	  		<tr>
	  			<td>&nbsp;</td>
	  		</tr>
	  		<tr>
	  			<td><div align="center">
	        		<p><img src="../img/line.gif" width="913" height="10"></p></div>
	        	</td>
	  		</tr>
	  		<tr>
	    		<td><div align="center"><span class="pie">2015 TFC Roberto Mart&iacute;nez Sierra</span></div></td>
	  		</tr>
      	</table>
    </td>
  </tr>
</table>
</body>
</html>